package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/11 星期二 16:39
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eSchool {
    HJH(1),//黄家湖
    MXH(2);//墨轩湖

    private int value;

    eSchool(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eSchool valueOf(int value) {
        switch (value) {
            case 1:
                return eSchool.HJH;
            case 2:
                return eSchool.MXH;
            default:
                return null;
        }
    }
    public static Integer integerOf(String value) {
        switch (value) {
            case "黄家湖校区":
                return 1;
            case "墨轩湖校区":
                return 2;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "黄家湖校区";
            case 2:
                return "墨轩湖校区";
            default:
                return null;
        }
    }
}
